Bug 1197815 (CVE-2015-0886) - CVE-2015-0886 jBCrypt: integer overflow in the crypt_raw method
Summary: CVE-2015-0886 jBCrypt: integer overflow in the crypt_raw method
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2015-0886
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1197816
Blocks: 1197817
TreeView+ depends on / blocked
 
Reported: 2015-03-02 16:43 UTC by Vasyl Kaigorodov
Modified: 2019-09-29 13:29 UTC (History)
18 users (show)

Fixed In Version: jBCrypt 0.4
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-08-22 06:31:08 UTC


Attachments (Terms of Use)

Description Vasyl Kaigorodov 2015-03-02 16:43:46 UTC
Common Vulnerabilities and Exposures assigned an identifier CVE-2015-0886 to
the following vulnerability:

Name: CVE-2015-0886
URL: http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2015-0886
Assigned: 20150108
Reference: http://jvndb.jvn.jp/jvndb/JVNDB-2015-000033

Integer overflow in the crypt_raw method in the key-stretching
implementation in jBCrypt before 0.4 makes it easier for remote
attackers to determine cleartext values of password hashes via a
brute-force attack against hashes associated with the maximum
exponent.

Comment 1 Vasyl Kaigorodov 2015-03-02 16:44:36 UTC
Created jBCrypt tracking bugs for this issue:

Affects: fedora-all [bug 1197816]

Comment 2 Fedora Update System 2015-03-13 16:59:40 UTC
jBCrypt-0.4-1.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 3 Fedora Update System 2015-03-13 17:25:41 UTC
jBCrypt-0.4-1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 4 Fedora Update System 2015-03-13 17:26:58 UTC
jBCrypt-0.4-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.